


                          FILE AND DIRECTORY ATTRIBUTES
                                   VERSION 1.00
                                   USAGE MANUAL


    DESCRIPTION

         This  program  allows  one  to change the  attributes  of  files  and 
         directories  more easily.  The attributes affected are: Hidden,  Read 
         Only, Archive, and System.

    GENERAL COMMAND FORMAT

         FDA is used from the command line prompt.  Its command format is:

                   FDA filename [options] [switches]

         The filename parameter is the name of the file or directory you  wish 
         to affect and may include either of the DOS wild card characters ('*' 
         or  '?').   Both [options] and [switches] are one (or  more)  of  the 
         items described below.

    OPTIONS

         Options  are  used  to tell FDA how to  behave.   They  perform  such 
         functions as displaying a help screen, controlling weather only files 
         or  directories  are affected, if output should be displayed  to  the 
         screen, etc.  The complete list, with descriptions, is shown below.

                OPTION       DESCRIPTION
                /help        Display a help screen (do not change anything).
                  /f         Affect only files.  Useful when using wild cards
                             and you only want to change file attributes.
                  /d         Affect only directories.  As with /f, useful when
                             using wild cards and you only want to change 
                             directory attributes.
                  /q         Quiet mode.  Do not write info on files to the 
                             screen.  Useful in batch files.
                  /p         Don't pause after each screenful of data.  FDA 
                             usually pauses the screen after it is full, but
                             this switch causes it to continually scroll.

         You  may  specify  as  many  options as you  wish,  but  if  you  use 
         conflicting  parameters  only  the last of them  will  be  recognized 
         (specifying '/f' and then '/d' is like specifying only '/d').  If FDA 
         finds  the  '/help'  option anywhere in the  command  line,  then  no 
         attributes will be affected and a help screen will be displayed.







    SWITCHES

         Switches are used to tell FDA which attributes to change.  There  are 
         four attributes which each file or directory may have: 

              Hidden         The file is not shown in the directory and can 
                             not be deleted or renamed.  MOST programs 
                             willstill acknowledge a hidden file as being 
                             there, but some do not.
              Read Only      With this attribute set, the file may not be 
                             renamed, written to, or deleted.
              Archive        Archive is kind of a special attribute.  It 
                             serves no real purpose other than to be used by 
                             some backup programs.  DOS's BACKUP program, 
                             among others, can be set to affect only files 
                             with the archive bit set.
              System File    The system file attribute is very special.  It
                             marks a file as being "necessary to the operating
                             system" (DOS).  If a file is marked system, it 
                             has the properties of a file with both the hidden 
                             and read only attributes set, but is also treated 
                             by DOS as a file which contains system info.  It 
                             is not recommended that you set a directory to 
                             system unless you have system info in it (for 
                             example: COMMAND.COM).


         There are eight switches that allow you to set the attributes.   They 
         consist  of  a  forward slash ('/'), a letter  ('h',  'r',  'a',  's' 
         respectively),  and  a plus ('+') or minus ('-') sign.  A  plus  sign 
         sets  the attribute and a minus sign turns it off.  For  example,  to 
         set a file read only and visible, the switches you would use would be 
         '/r+' and '/h-'.  The full set of switch strings is:

              /h+   Set the file/directory visible
              /h-   Set the file/directory hidden
              /r+   Set the file/directory read only
              /r-   Set the file/directory read write
              /a+   Set the file/directory archived
              /a-   Set the file/directory un-archived
              /s+   Set the file/directory system
              /s-   Set the file/directory non-system







    EXAMPLES

         Suppose  you  wanted  to  set the  file  MYFILE.DAT  in  the  A:\JUNK 
         directory to hidden and read write.  You would type:

              FDA a:\junk\myfile.dat /h+ /r-

         If  you wanted to set all the files in the current directory to  read 
         only you would type:

              FDA *.* /f /r+

    NOTES

         1. When using FDA, each parameter must be separated by a space or the 
            program will not acknowledge them.  For example, if you didn't put 
            a space between two switches ('/h+/r-' instead of '/h+ /r-'),  FDA 
            would  not  recognize  either  of  them  and  would  leave   those 
            attributes unchanged.  So, general rule of thumb:  Each  parameter 
            must  be  treated  like it was a word in a  sentence;  forget  the 
            spaces and you get nonsense.

         2. FDA  always  treats the first parameter of the command line  as  a 
            file  name  (except for '/help').  If you specify any  options  or 
            switches,  you MUST include a file name or FDA will  get  confused 
            and  throw up the help screen.  General knowledge:   Whenever  FDA 
            gets  confused, it will throw up the help screen hoping  you  will 
            recognize any errors.

         3. If  you want to view the attributes of any file, simply  type  FDA 
            with  the file name and NO options.  This will display the  normal 
            info, but will not change any attributes.  If you wish to  display 
            all the file and directory names in your current directory, simply 
            type  FDA by itself and press enter.  To use any options (such  as 
            '/f') remember, you MUST specify a file name.  So, to display  all 
            the  file names with no directories, type 'FDA *.* /f'  and  press 
            enter.

         4. FDA  cannot  affect  the '.' and '..' directory  entries  in  sub-
            directories.   If you set any attributes on these files,  such  as 
            hidden, DOS will treat these entries as if they had no  attributes 
            set and, in the example, they would still be visible.

         5. The  companion program to this one is SDIR.EXE, my Substitute  DIR 
            Utility.   It  function  like  DOS's  DIR,  bit  has  some   extra 
            parameters
                   /f   Show file only
                   /d   Show directories only
                   /h   Show hidden files/directories too







    DISCLAIMER

         I  have  used  this program for a while on both my  machine  and  the 
         machines where I work.  Although I have not had any problem with  it, 
         I  do  not take responsibility for any adverse effects or  damage  to 
         files  resulting  from viruses, programming errors, or  other  causes 
         arising from the use of this program.







    BUGS

         If you find any bugs in this program, please send me a letter at  the 
         address  below  explaining  what is wrong and I  will  incorporate  a 
         correction into future versions of this program.

    REGISTRATION

         If  you  like this program, please help support  the  development  of 
         others  by  sending  a  contribution (usually  about  $5.00)  to  the 
         following address:

                   Diana Struzinski
                   209 Skelton Drive
                   New Castle, DE  19720

         Thank  you  for using this program and for any contribution  you  can 
         make.


